Bug 127571 - new feature: split the image
Summary: new feature: split the image
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: General (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-18 13:14 UTC by Maciej Pilichowski
Modified: 2011-03-23 08:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2006-05-18 13:14:02 UTC
Version:            (using KDE KDE 3.5.2)
Installed from:    SuSE RPMs

Such feature would be great while working with scans. The user could choose whether to split the image horizontally or vertically. Similarly to crop function the user could set the splitting line, the image would be splitted into two images.

While working with hundreds of scans several options supporting such features would be welcome:
[ ] auto save after split
    < suffix for the first part >
    < suffix for the sencond part >
Comment 1 Stefan Mueller 2006-12-31 11:38:58 UTC
maybe with a script?
Comment 2 Halla Rempt 2011-03-23 08:03:25 UTC
Git commit 8b416e6eebff333dda7117c62be21caaaa63df25 by Boudewijn Rempt.
Committed on 22/03/2011 at 12:52.
Pushed by rempt into branch 'master'.

Implement bug 127571: Split the image

Patch by srikanth tiyyagura <srikanth.tulasiram@gmail.com>
BUG: 127571
CCMAIL: srikanth tiyyagura <srikanth.tulasiram@gmail.com>

M  +1    -0    krita/plugins/extensions/CMakeLists.txt     
A  +18   -0    krita/plugins/extensions/imagesplit/CMakeLists.txt         [License: UNKNOWN]  *
A  +97   -0    krita/plugins/extensions/imagesplit/dlg_imagesplit.cpp         [License: GPL (v2+)]
A  +57   -0    krita/plugins/extensions/imagesplit/dlg_imagesplit.h         [License: GPL (v2+)]
A  +160  -0    krita/plugins/extensions/imagesplit/imagesplit.cpp         [License: GPL (v2+)]
A  +49   -0    krita/plugins/extensions/imagesplit/imagesplit.h         [License: GPL (v2+)]
A  +8    -0    krita/plugins/extensions/imagesplit/imagesplit.rc         [License: UNKNOWN]  *
A  +6    -0    krita/plugins/extensions/imagesplit/kritaimagesplit.desktop         [License: UNKNOWN]  *
A  +48   -0    krita/plugins/extensions/imagesplit/wdg_imagesplit.cpp         [License: GPL (v2+)]
A  +37   -0    krita/plugins/extensions/imagesplit/wdg_imagesplit.h         [License: GPL (v2+)]
A  +114  -0    krita/plugins/extensions/imagesplit/wdg_imagesplit.ui         [License: UNKNOWN]  *
M  +19   -0    krita/ui/kis_config.cc     
M  +7    -0    krita/ui/kis_config.h     

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/calligra/8b416e6eebff333dda7117c62be21caaaa63df25